using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class DieGaoGaoResultSceneUI : ResultSceneUI
{

    public TextMeshProUGUI Text;


    private void Update()
    {
      //  Text.text= HeightText.Instance.MaxHeight().ToString("F1") + "M";
    }

    private void Start()
    {

       // GetComponentInParent<BattleUIDisplayController>().transform.GetComponentInChildren<HoppingBattleMainUI>().Started.SetActive(false);

    }

    public void ContionGame()
    {
        GetComponentInParent<ResultUIDisplayController>().parentNav.LoadDisplay<BattleUIDisplayController>();

        var battleScene = DiegGaoGaoGame.instance.rootNav.FindDisplay<BattleSceneDisplayController>();            // GetComponentInParent<BattleSceneDisplayController>();

        HoppingBattleController hoppingBattleController = battleScene.battleController as HoppingBattleController;
        
    //    hoppingBattleController.CurrentLife = hoppingBattleController.AllLife;

        hoppingBattleController.ContionGame();

    }

}
